Bug 9399 - Accessibility - Search box options aren't buttons
Summary: Accessibility - Search box options aren't buttons
Status: RESOLVED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Corey
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-16 00:24 UTC by Bart Jorgensen
Modified: 2018-05-30 16:49 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Added div roles to search box options to increase accessibility (7.83 KB, patch)
2013-01-16 01:50 UTC, Bart Jorgensen
Details | Diff | Splinter Review
{PATCH PASSED // MORE WORKED NEEDED?} -- Added div roles to search box options to increase accessibility (7.97 KB, patch)
2013-01-16 03:27 UTC, Corey
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bart Jorgensen 2013-01-16 00:24:36 UTC
the options under the search box on most pages (eg: on the mainpage: checkout, check in, search patrons... etc.) are not classed as buttons which means screen readers read them separately to the search box and it isn't clear that they are related, or that changing the options effects the box. In addition to this on some pages there are identically named links that are very difficult to distinguish between when only using a screen reader.
Comment 1 Bart Jorgensen 2013-01-16 01:50:42 UTC Comment hidden (obsolete)
Comment 2 Corey 2013-01-16 03:27:44 UTC
Created attachment 14616 [details] [review]
{PATCH PASSED // MORE WORKED NEEDED?} -- Added div roles to search box options to increase accessibility

The patch will need to be worked on.
Read Testing Procedure within the Description of Patch.
Comment 3 Owen Leonard 2013-01-17 19:41:38 UTC
(In reply to comment #2)
> The patch will need to be worked on.

What does this mean? 

Do you have any references citing the utility of the changes made? I don't see any outward effects on the interface from a sighted person's point of view, so I'm fine with the change if it is a practical improvement.

A more complex solution might be to upgrade jQuery to 1.9, which adds ARIA support to widgets like Tabs.
Comment 4 Owen Leonard 2013-02-05 17:35:05 UTC
I'm marking this "failed QA" because it's not clear whether this patch is really ready for signoff ("The patch will need to be worked on"). I would like to understand better why the changes are being made.
Comment 5 Marc Véron 2016-05-23 15:22:56 UTC
Still valid?